Subject: Re: [Bitcoin-development] Opcode whitelist for P2SH?

From: "Luke-Jr" <[email-masked]>
Date: Mon, 29 Jul 2013 05:17:53 +0000

On Sunday, July 28, 2013 7:39:08 PM John Dillon wrote:
> What are your thoughts on creating a whitelist for specific opcodes that
> would apply to scripts serialized using P2SH, retaining the existing
> standard whitelist for scriptPubKeys? (I would still recommend dropping
> pay-to-pubkey and pay-to-multisig due to their potential for dumping data
> in the UTXO set)

This would be reasonable for miners, but for interoperability between wallets, 
some specific standard forms would still be necessary without a much smarter 
solver (which would then expand the code required to implement a wallet, which 
is unfortunate if not entirely necessary).